Server Actions
entreprise
6 Server Actions du domaine entreprise, générées depuis le registre de l’API agent.
entreprise__createMyGrid
Sans argument.
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "entreprise__createMyGrid",
"args": []
}'entreprise__previewMyGrid
| Argument | Type | Requis |
|---|---|---|
piece | PreviewPiece | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "entreprise__previewMyGrid",
"args": [
"<piece>"
]
}'entreprise__saveEntityLabelFormat
| Argument | Type | Requis |
|---|---|---|
entityId | string | oui |
formatId | string | null | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "entreprise__saveEntityLabelFormat",
"args": [
"<entityId>",
"<formatId>"
]
}'entreprise__saveEntityMinOrder
| Argument | Type | Requis |
|---|---|---|
entityId | string | oui |
raw | string | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "entreprise__saveEntityMinOrder",
"args": [
"<entityId>",
"<raw>"
]
}'entreprise__saveVendorEntityProfile
| Argument | Type | Requis |
|---|---|---|
entityId | string | oui |
input | RawEntityProfileInput | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "entreprise__saveVendorEntityProfile",
"args": [
"<entityId>",
"<input>"
]
}'entreprise__setMyGridCell
| Argument | Type | Requis |
|---|---|---|
cell | GridCell | oui |
curl -X POST https://vendeurs.boudbois.fr/api/agent/tools/vendor_action_call \
-H "Authorization: Bearer $CLE" \
-H "Content-Type: application/json" \
-d '{
"action": "entreprise__setMyGridCell",
"args": [
"<cell>"
]
}'